Bug 1699563 - Review Request: erlang-mqtree - Index tree for MQTT topic filters
Summary: Review Request: erlang-mqtree - Index tree for MQTT topic filters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1683310
TreeView+ depends on / blocked
 
Reported: 2019-04-13 16:59 UTC by Randy Barlow
Modified: 2019-04-27 21:25 UTC (History)
2 users (show)

Fixed In Version: erlang-mqtree-1.0.2-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:25:59 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2019-04-13 16:59:06 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/@erlang/ejabberd/fedora-rawhide-x86_64/00883055-erlang-mqtree/erlang-mqtree.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@erlang/ejabberd/fedora-rawhide-x86_64/00883055-erlang-mqtree/erlang-mqtree-1.0.2-1.fc31.src.rpm
Description: mqtree is an Erlang NIF implementation of N-ary tree to keep MQTT topic filters for efficient matching.
Fedora Account System Username: bowlofeggs

Comment 1 Robert-André Mauchin 🐧 2019-04-13 18:57:17 UTC
 - ASL 2.0 and BSD:

BSD (unspecified)
-----------------
mqtree-1.0.2/c_src/uthash.h

   Add it to license and add a comment explaining the license breakdown.


Package approved. Please fix the aforementioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)", "BSD (unspecified)". 3 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/erlang-mqtree/review-erlang-
     mqtree/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in erlang-
     mqtree
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-mqtree-1.0.2-1.fc31.x86_64.rpm
          erlang-mqtree-debuginfo-1.0.2-1.fc31.x86_64.rpm
          erlang-mqtree-debugsource-1.0.2-1.fc31.x86_64.rpm
          erlang-mqtree-1.0.2-1.fc31.src.rpm
erlang-mqtree.x86_64: W: spelling-error %description -l en_US ary -> ray, art, airy
erlang-mqtree.x86_64: W: no-soname /usr/lib64/erlang/lib/mqtree-1.0.2/priv/lib/mqtree.so
erlang-mqtree.x86_64: W: shared-lib-calls-exit /usr/lib64/erlang/lib/mqtree-1.0.2/priv/lib/mqtree.so exit@GLIBC_2.2.5
erlang-mqtree.src: W: spelling-error %description -l en_US ary -> ray, art, airy
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 2 Randy Barlow 2019-04-14 17:36:23 UTC
Thanks for catching that license thing - I've kicked off a -2 release with that fix in Copr:

https://copr.fedorainfracloud.org/coprs/build/883283

Comment 4 Gwyn Ciesla 2019-04-14 19:55:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/erlang-mqtree

Comment 5 Fedora Update System 2019-04-16 23:44:33 UTC
erlang-esip-1.0.28-1.fc30 erlang-stun-1.0.27-1.fc30 erlang-fast_yaml-1.0.18-1.fc30 erlang-fast_tls-1.1.0-1.fc30 erlang-cache_tab-1.0.18-1.fc30 erlang-pkix-1.0.1-1.fc30 erlang-p1_oauth2-0.6.4-1.fc30 erlang-ezlib-1.0.5-1.fc30 erlang-epam-1.0.5-1.fc30 erlang-p1_mysql-1.0.11-1.fc30 erlang-p1_pgsql-1.1.7-1.fc30 erlang-p1_utils-1.0.14-1.fc30 erlang-eimp-1.0.10-1.fc30 erlang-fast_xml-1.1.35-1.fc30 erlang-mqtree-1.0.2-2.fc30 erlang-stringprep-1.0.15-1.fc30 erlang-xmpp-1.3.2-1.fc30 ejabberd-19.02-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8a19703ad

Comment 6 Fedora Update System 2019-04-17 01:03:17 UTC
ejabberd-19.02-1.fc30, erlang-cache_tab-1.0.18-1.fc30, erlang-eimp-1.0.10-1.fc30, erlang-epam-1.0.5-1.fc30, erlang-esip-1.0.28-1.fc30, erlang-ezlib-1.0.5-1.fc30, erlang-fast_tls-1.1.0-1.fc30, erlang-fast_xml-1.1.35-1.fc30, erlang-fast_yaml-1.0.18-1.fc30, erlang-mqtree-1.0.2-2.fc30, erlang-p1_mysql-1.0.11-1.fc30, erlang-p1_oauth2-0.6.4-1.fc30, erlang-p1_pgsql-1.1.7-1.fc30, erlang-p1_utils-1.0.14-1.fc30, erlang-pkix-1.0.1-1.fc30, erlang-stringprep-1.0.15-1.fc30, erlang-stun-1.0.27-1.fc30, erlang-xmpp-1.3.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8a19703ad

Comment 7 Fedora Update System 2019-04-27 21:25:59 UTC
ejabberd-19.02-1.fc30, erlang-cache_tab-1.0.18-1.fc30, erlang-eimp-1.0.10-1.fc30, erlang-epam-1.0.5-1.fc30, erlang-esip-1.0.28-1.fc30, erlang-ezlib-1.0.5-1.fc30, erlang-fast_tls-1.1.0-1.fc30, erlang-fast_xml-1.1.35-1.fc30, erlang-fast_yaml-1.0.18-1.fc30, erlang-mqtree-1.0.2-2.fc30, erlang-p1_mysql-1.0.11-1.fc30, erlang-p1_oauth2-0.6.4-1.fc30, erlang-p1_pgsql-1.1.7-1.fc30, erlang-p1_utils-1.0.14-1.fc30, erlang-pkix-1.0.1-1.fc30, erlang-stringprep-1.0.15-1.fc30, erlang-stun-1.0.27-1.fc30, erlang-xmpp-1.3.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.